\ProvidesPackage{beamercolorthemeprologin}

\definecolor{gray1}{RGB}{70,70,70}
\definecolor{gray2}{RGB}{110,110,110}
\definecolor{gray3}{RGB}{150,150,150}
\definecolor{gray4}{RGB}{190,190,190}
\definecolor{gray5}{RGB}{230,230,230}

\definecolor{prologin-blue}{RGB}{51,68,157}
\definecolor{prologin-red}{RGB}{255,18,0}
\definecolor{prologin-yellow}{RGB}{255,235,1}


%% Beamer
\mode<presentation>
\setbeamercolor*{title page header}{fg=black}
\setbeamercolor*{author}{fg=black}
\setbeamercolor*{date}{fg=black}



\setbeamercolor{alerted text}{fg=prologin-red}
\setbeamercolor{normal text}{fg=black}
\setbeamercolor{example text}{fg=prologin-blue}

\setbeamercolor{background canvas}{bg=white}

\setbeamercolor{block body alerted}{bg=prologin-red!20}
\setbeamercolor{block body}{bg=prologin-blue!20}
\setbeamercolor{block body example}{bg=prologin-yellow!10}

\setbeamercolor{block title alerted}{use={normal text,alerted
        text},fg=black,bg=prologin-red}
\setbeamercolor{block title}{bg=prologin-blue, fg=white}
\setbeamercolor{block title example}{use={normal text,example
        text},fg=black,bg=prologin-yellow}

\setbeamercolor{fine separation line}{}
\setbeamercolor{frametitle}{fg=black}
\setbeamercolor{item projected}{fg=black}

\setbeamercolor{palette sidebar primary}{use=normal text,fg=normal text.fg}
\setbeamercolor{palette sidebar quaternary}{use=structure,fg=structure.fg}
\setbeamercolor{palette sidebar secondary}{use=structure,fg=structure.fg}
\setbeamercolor{palette sidebar tertiary}{use=normal text,fg=normal text.fg}
\setbeamercolor{section in sidebar}{fg=brown}
\setbeamercolor{section in sidebar shaded}{fg=grey}

\setbeamercolor{separation line}{}

\setbeamercolor{sidebar}{bg=red}
\setbeamercolor{sidebar}{parent=palette primary}

\setbeamercolor{structure}{bg=white, fg=orange}

\setbeamercolor{subsection in sidebar}{fg=brown}
\setbeamercolor{subsection in sidebar shaded}{fg=grey}

\setbeamercolor{title}{fg=brown}
\setbeamercolor{titlelike}{fg=brown}

\usepackage{etoolbox}
\setbeamercolor*{item}{fg=prologin-blue}
\AtBeginEnvironment{exampleblock}{\setbeamercolor{itemize
        item}{fg=prologin-yellow}}
\AtBeginEnvironment{alertblock}{\setbeamercolor{itemize item}{fg=prologin-red}}
\mode<all>
